<!-- 
This README describes the package. If you publish this package to pub.dev,
this README's contents appear on the landing page for your package.

For information about how to write a good package README, see the guide for
[writing package pages](https://dart.dev/guides/libraries/writing-package-pages). 

For general information about developing packages, see the Dart guide for
[creating packages](https://dart.dev/guides/libraries/create-library-packages)
and the Flutter guide for
[developing packages and plugins](https://flutter.dev/developing-packages). 
-->

## Features

- Location service helper class that can use multiple location services at the same time.

  - system
  - baidu
- Auto transform CRS to GCJ02 in mainland China.
  Or you can set the CRS manually

## Getting started

Add this to your package's pubspec.yaml file:

```dart
dependencies:
  location_service_mix: ^1.0.8
```

## Configure

#### 1. Configure baidu lbs sdk api keys:

Edit  *android/app/src/Manifest.xml*, and add the following code in `<Application>` Node:

```
<meta-data
    android:name="com.baidu.lbsapi.API_KEY"
    android:value="YOUR API KEY" />
```

## Usage

```dart
import 'package:location_service_mix/location_service_mix.dart';

LocationServiceMix().getLocation().then((location) {
      print(location);
    });

```

or

```dart
import 'package:location_service_mix/location_service_mix.dart';

LocationData location = await LocationServiceMix().getLocation();
print(location);

```
